Draft: Bez Curve
|
poziția meniului |
---|
Draft → BezCurve |
Ateliere |
Draft, Arch |
scurtătură |
B Z |
Prezentat în versiune |
- |
A se vedea, de asemenea, |
nici unul |
Descriere
Instrumentul BezCurve creează o Bezier Curve (sau o curbă Bezier în bucăți) din mai multe puncte din planul curent work plane. Este nevoie de linewidth and color setată anterior pe fila Activități.
Obiectul este creat ca o singură curbă Bezier de grad (număr_de_ puncte - 1). Aceasta poate fi modificată la o curbă Bezier în parte, de un anumit grad după crearea folosind editor proprietăți. Bezier Curves poate fi editat folosind Editare proiect.
The Draft BezCurve and the Draft CubicBezCurve commands use control points to define the position and curvature of the spline. The Draft BSpline command, on the other hand, specifies the exact points through which the curve will pass.
Bézier curve defined by multiple points
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Draft BezCurve button.
- Select the Drafting → Bézier tools →
Bézier curve option from the menu.
- Use the keyboard shortcut: B then Z. introduced in version 0.20
- Press the
- The Bézier curve task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick additional points in the 3D view, or type coordinates and press the
Enter point button.
- Press Esc or the Close button to finish the command.
Cum se foloseşte
- Apăsați butonul
Draft BezCurve , sau apăsați W apoi tastele I
- Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
- Faceți clic pe un punct suplimentar în vizualizarea 3D sau tastați un coordinate
- Apăsați F sau C sau faceți dublu clic pe ultimul punct sau faceți clic pe primul punct pentru a termina sau a închide filamentul/polilinia. Dacă filamentul este închis, acesta va fi, de asemenea, o fațetă, chiar dacă acesta apare ca o rețea wireframe.
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- Apăsați tasta F sau butonul
Finish pentru a finaliza funcția B spline, lăsând-o deschisă
- Press C or the
Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
- Press X, Y or Z after a point to constrain the next point on the given axis.
- To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
- Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
- Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
- Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
- Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
- Press W or press the
Wipe button to remove the existing segments and start the spline from the last point.
- Press CTRL+Z or press the
Undo button to undo the last point.
- Apăsați tasta ESC sau butonul Cancel penru a abandona comanda BezCurve .
Notes
Limitări
- Acest instrument nu este disponibil înainte de versiunea FreeCAD 0.14
- Proprietatea puncte nu apare încă în lista de proprietăți.
- OpenCascade nu suportă Bezier Curve cu grad> 25. Aceasta nu ar trebui să fie o problemă în practică.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
- To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
Proprietăți
See also: Property editor.
A Draft BezCurve object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DateArea (
Area
): (read-only) specifies the area of the face of the curve. The value will be0.0
if DateMake Face iffalse
or the face cannot be created. - DateClosed (
Bool
): specifies if the curve is closed or not. If the curve is initially open this value isfalse
, setting it totrue
will draw a segment to close the curve. If the curve is initially closed this value istrue
, setting it tofalse
will remove the last segment and make the curve open. - DateContinuity (
IntegerList
): (read-only) specifies the continuity of the curve. - DateDegree (
Integer
): specifies the degree of the curve. - DateLength (
Length
): (read-only) specifies the total length of the curve. - DateMake Face (
Bool
): specifies if the curve makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. This property only works if DateClosed istrue
and if the curve does not self-intersect. - DatePoints (
VectorList
): specifies the control points of the curve in its local coordinate system.
View
Draft
- VizualizareArrow Size (
Length
): specifies the size of the symbol displayed at the end of the curve. - VizualizareArrow Type (
Enumeration
): specifies the type of symbol displayed at the end of the curve, which can beDot
,Circle
,Arrow
,Tick
orTick-2
. - VizualizareEnd Arrow (
Bool
): specifies whether to show a symbol at the end of the curve, so it can be used as an annotation line. - VizualizarePattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the closed curve. This property only works if DateMake Face istrue
and if VizualizareDisplay Mode isFlat Lines
. - VizualizarePattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
Scrip-Programare
Instrumentul BezCurve poate fi folosit în macros și din consola Python utilizând următoarea funcție:
bezcurve = make_bezcurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
bezcurve = make_bezcurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
- Creați un obiect tip curbă Bezier din lista dată a vectorilor. În loc de o listă de puncte, puteți trece și o secțiune parțială.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
p4 = App.Vector(1500, -2000, 0)
bezcurve1 = Draft.make_bezcurve([p1, p2, p3, p4], closed=True)
bezcurve2 = Draft.make_bezcurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
bezcurve3 = Draft.make_bezcurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub